/*
 * Class WEL_TIMER_MESSAGE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1347 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1347 [] = {0xFF01,1551,1346,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1347 [] = {0xFF01,1346,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1347 [] = {0xFF01,1346,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1347 [] = {0xFF01,1346,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1347 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1347 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1347 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1347 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1347 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1347 [] = {0xFF01,1346,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1347 [] = {0xFF01,1388,0xFFFF};


static const struct desc_info desc_1347[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1347), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1347), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1347), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1347), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1347), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1347), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1347), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1347), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1347), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1347), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1347), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1347), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A85 /*1346*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1347), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8557, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 29964, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1347), 29965, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29966, 4},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29967, 8},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29968, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29969, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 29970, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30032, 0xFFFFFFFF},
};
void Init1347(void)
{
	IDSC(desc_1347, 0, 1346);
	IDSC(desc_1347 + 1, 1, 1346);
	IDSC(desc_1347 + 32, 1363, 1346);
	IDSC(desc_1347 + 35, 1610, 1346);
	IDSC(desc_1347 + 39, 1276, 1346);
	IDSC(desc_1347 + 46, 322, 1346);
}


#ifdef __cplusplus
}
#endif
